[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Integer

A signed 16-bits integer

## Declaration

Source position: systemh.inc line 92

`type Integer = SmallInt;`

## Description

The system unit defines Integer as a signed 16-bit integer. But when DELPHI or OBJFPC mode are active, then the objpas unit redefines Integer as a 32-bit integer.

Documentation generated on: Feb 26 2014